]> git.sur5r.net Git - openldap/blobdiff - configure
ITS#6392 fix authid-rewrite parsing
[openldap] / configure
index 733283768577502841970f000de73b675b43cfa5..c1530aacee019563022ce71ee94208bd840b64fa 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in OpenLDAP: pkg/ldap/configure.in,v 1.689 2009/01/17 01:09:14 kurt Exp .
+# From configure.in OpenLDAP: pkg/ldap/configure.in,v 1.704 2009/09/29 21:53:43 hyc Exp .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61.
 #
@@ -908,6 +908,7 @@ BUILD_COLLECT
 BUILD_CONSTRAINT
 BUILD_DDS
 BUILD_DENYOP
+BUILD_DEREF
 BUILD_DYNGROUP
 BUILD_DYNLIST
 BUILD_LASTMOD
@@ -918,6 +919,7 @@ BUILD_REFINT
 BUILD_RETCODE
 BUILD_RWM
 BUILD_SEQMOD
+BUILD_SSSVLV
 BUILD_SYNCPROV
 BUILD_TRANSLUCENT
 BUILD_UNIQUE
@@ -943,7 +945,6 @@ MOD_PERL_LDFLAGS
 KRB4_LIBS
 KRB5_LIBS
 SASL_LIBS
-GSSAPI_LIBS
 TLS_LIBS
 MODULES_LIBS
 SLAPI_LIBS
@@ -1600,7 +1601,8 @@ SLAPD Overlay Options:
     --enable-refint      Referential Integrity overlay no|yes|mod [no]
     --enable-retcode     Return Code testing overlay no|yes|mod [no]
     --enable-rwm                 Rewrite/Remap overlay no|yes|mod [no]
-    --enable-seqmod      Sequential Modify overlay no|yes|mod [yes]
+    --enable-seqmod      Sequential Modify overlay no|yes|mod [no]
+    --enable-sssvlv      ServerSideSort/VLV overlay no|yes|mod [no]
     --enable-syncprov    Syncrepl Provider overlay no|yes|mod [yes]
     --enable-translucent  Translucent Proxy overlay no|yes|mod [no]
     --enable-unique       Attribute Uniqueness overlay no|yes|mod [no]
@@ -1621,9 +1623,8 @@ Optional Packages:
   --with-subdir=DIR       change default subdirectory used for installs
   --with-cyrus-sasl      with Cyrus SASL support [auto]
   --with-fetch           with fetch(3) URL support [auto]
-  --with-gssapi                  with GSSAPI support [auto]
   --with-threads         with threads [auto]
-  --with-tls             with TLS/SSL support auto|openssl|gnutls [auto]
+  --with-tls             with TLS/SSL support auto|openssl|gnutls|moznss [auto]
   --with-yielding-select  with implicitly yielding select [auto]
   --with-mp               with multiple precision statistics auto|longlong|long|bignum|gmp [auto]
   --with-odbc             with specific ODBC support iodbc|unixodbc|odbc32|auto [auto]
@@ -2953,29 +2954,6 @@ else
 fi
 # end --with-fetch
 
-# OpenLDAP --with-gssapi
-
-# Check whether --with-gssapi was given.
-if test "${with_gssapi+set}" = set; then
-  withval=$with_gssapi;
-       ol_arg=invalid
-       for ol_val in auto yes no  ; do
-               if test "$withval" = "$ol_val" ; then
-                       ol_arg="$ol_val"
-               fi
-       done
-       if test "$ol_arg" = "invalid" ; then
-               { { echo "$as_me:$LINENO: error: bad value $withval for --with-gssapi" >&5
-echo "$as_me: error: bad value $withval for --with-gssapi" >&2;}
-   { (exit 1); exit 1; }; }
-       fi
-       ol_with_gssapi="$ol_arg"
-
-else
-       ol_with_gssapi="auto"
-fi
-# end --with-gssapi
-
 # OpenLDAP --with-threads
 
 # Check whether --with-threads was given.
@@ -3005,7 +2983,7 @@ fi
 if test "${with_tls+set}" = set; then
   withval=$with_tls;
        ol_arg=invalid
-       for ol_val in auto openssl gnutls yes no  ; do
+       for ol_val in auto openssl gnutls moznss yes no  ; do
                if test "$withval" = "$ol_val" ; then
                        ol_arg="$ol_val"
                fi
@@ -3778,6 +3756,7 @@ Overlays="accesslog \
        retcode \
        rwm \
        seqmod \
+       sssvlv \
        syncprov \
        translucent \
        unique \
@@ -4165,11 +4144,35 @@ echo "$as_me: error: bad value $enableval for --enable-seqmod" >&2;}
        ol_enable_seqmod="$ol_arg"
 
 else
-       ol_enable_seqmod=${ol_enable_overlays:-yes}
+       ol_enable_seqmod=${ol_enable_overlays:-no}
 fi
 
 # end --enable-seqmod
 
+# OpenLDAP --enable-sssvlv
+
+       # Check whether --enable-sssvlv was given.
+if test "${enable_sssvlv+set}" = set; then
+  enableval=$enable_sssvlv;
+       ol_arg=invalid
+       for ol_val in no yes mod ; do
+               if test "$enableval" = "$ol_val" ; then
+                       ol_arg="$ol_val"
+               fi
+       done
+       if test "$ol_arg" = "invalid" ; then
+               { { echo "$as_me:$LINENO: error: bad value $enableval for --enable-sssvlv" >&5
+echo "$as_me: error: bad value $enableval for --enable-sssvlv" >&2;}
+   { (exit 1); exit 1; }; }
+       fi
+       ol_enable_sssvlv="$ol_arg"
+
+else
+       ol_enable_sssvlv=${ol_enable_overlays:-no}
+fi
+
+# end --enable-sssvlv
+
 # OpenLDAP --enable-syncprov
 
        # Check whether --enable-syncprov was given.
@@ -4479,6 +4482,7 @@ BUILD_AUDITLOG=no
 BUILD_CONSTRAINT=no
 BUILD_DDS=no
 BUILD_DENYOP=no
+BUILD_DEREF=no
 BUILD_DYNGROUP=no
 BUILD_DYNLIST=no
 BUILD_LASTMOD=no
@@ -4489,6 +4493,7 @@ BUILD_REFINT=no
 BUILD_RETCODE=no
 BUILD_RWM=no
 BUILD_SEQMOD=no
+BUILD_SSSVLV=no
 BUILD_SYNCPROV=no
 BUILD_TRANSLUCENT=no
 BUILD_UNIQUE=no
@@ -4514,7 +4519,6 @@ SLAPD_SQL_INCLUDES=
 KRB4_LIBS=
 KRB5_LIBS=
 SASL_LIBS=
-GSSAPI_LIBS=
 TLS_LIBS=
 MODULES_LIBS=
 SLAPI_LIBS=
@@ -6462,7 +6466,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 6465 "configure"' > conftest.$ac_ext
+  echo '#line 6469 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -8531,11 +8535,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8534: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8538: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8538: \$? = $ac_status" >&5
+   echo "$as_me:8542: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8793,11 +8797,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8796: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8800: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8800: \$? = $ac_status" >&5
+   echo "$as_me:8804: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8855,11 +8859,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8858: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8862: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8862: \$? = $ac_status" >&5
+   echo "$as_me:8866: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11066,7 +11070,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11069 "configure"
+#line 11073 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11164,7 +11168,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11167 "configure"
+#line 11171 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12729,6 +12733,7 @@ echo "${ECHO_T}$ol_cv_msvc" >&6; }
 case $host_os in
   *mingw32* ) ac_cv_mingw32=yes ;;
   *cygwin* ) ac_cv_cygwin=yes ;;
+  *interix* ) ac_cv_interix=yes ;;
 esac
 
 
 done
 
 
-if test "$ac_cv_mingw32" = yes -o "$ol_cv_msvc" = yes ; then
+if test "$ac_cv_mingw32" = yes \
+       -o "$ac_cv_interix" = yes \
+       -o "$ol_cv_msvc" = yes
+then
 
 
 for ac_header in winsock.h winsock2.h
@@ -15334,7 +15342,7 @@ fi
 
 fi
 
-if test $ol_cv_msvc ; then
+if test $ol_cv_msvc = yes ; then
    ol_cv_winsock=yes
 fi
 
@@ -15347,7 +15355,7 @@ else
 
        save_LIBS="$LIBS"
        for curlib in none ws2_32 wsock32; do
-               if test curlib != none ; then
+               if test $curlib != none ; then
                LIBS="$save_LIBS -l$curlib"
                fi
                cat >conftest.$ac_ext <<_ACEOF
@@ -17864,6 +17872,91 @@ else
   :
 fi
 
+       { echo "$as_me:$LINENO: checking for library containing uuid_create" >&5
+echo $ECHO_N "checking for library containing uuid_create... $ECHO_C" >&6; }
+if test "${ac_cv_search_uuid_create+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_func_search_save_LIBS=$LIBS
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char uuid_create ();
+int
+main ()
+{
+return uuid_create ();
+  ;
+  return 0;
+}
+_ACEOF
+for ac_lib in '' uuid; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_search_uuid_create=$ac_res
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext
+  if test "${ac_cv_search_uuid_create+set}" = set; then
+  break
+fi
+done
+if test "${ac_cv_search_uuid_create+set}" = set; then
+  :
+else
+  ac_cv_search_uuid_create=no
+fi
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_search_uuid_create" >&5
+echo "${ECHO_T}$ac_cv_search_uuid_create" >&6; }
+ac_res=$ac_cv_search_uuid_create
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+  :
+else
+  have_uuid=no
+fi
+
        LIBS="$save_LIBS"
 
        if test $have_uuid = yes ; then
@@ -18111,48 +18204,42 @@ else
   :
 fi
 
-               LIBS="$save_LIBS"
-
-               if test $have_uuid = yes ; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_UUID_GENERATE 1
-_ACEOF
-
-
-                       test "$ac_cv_search_uuid_generate" = "none required" || \
-                               SLAPD_LIBS="$SLAPD_LIBS $ac_cv_search_uuid_generate"
-               fi
-       fi
-fi
-
-if test $have_uuid = no ; then
-       { echo "$as_me:$LINENO: checking to see if -lrpcrt4 is needed for win32 UUID support" >&5
-echo $ECHO_N "checking to see if -lrpcrt4 is needed for win32 UUID support... $ECHO_C" >&6; }
-       save_LIBS="$LIBS"
-       LIBS="$LIBS -lrpcrt4"
-       cat >conftest.$ac_ext <<_ACEOF
+               { echo "$as_me:$LINENO: checking for library containing uuid_unparse_lower" >&5
+echo $ECHO_N "checking for library containing uuid_unparse_lower... $ECHO_C" >&6; }
+if test "${ac_cv_search_uuid_unparse_lower+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_func_search_save_LIBS=$LIBS
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-               int __stdcall UuidCreate(void *);
-               int __stdcall UuidToStringA(void *,void **);
-
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char uuid_unparse_lower ();
 int
 main ()
 {
-
-               UuidCreate(0);
-               UuidToStringA(0,0);
-
+return uuid_unparse_lower ();
   ;
   return 0;
 }
 _ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
+for ac_lib in '' uuid; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
 if { (ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
@@ -18170,36 +18257,58 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  need_rpcrt=yes
+  ac_cv_search_uuid_unparse_lower=$ac_res
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       need_rpcrt=no
+
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-       if test $need_rpcrt = yes; then
-               SLAPD_LIBS="$SLAPD_LIBS -lrpcrt4"
-       fi
-       LIBS="$save_LIBS"
-       { echo "$as_me:$LINENO: result: $need_rpcrt" >&5
-echo "${ECHO_T}$need_rpcrt" >&6; }
+      conftest$ac_exeext
+  if test "${ac_cv_search_uuid_unparse_lower+set}" = set; then
+  break
 fi
-
-ol_cv_lib_resolver=no
-if test $ol_cv_lib_resolver = no ; then
-       { echo "$as_me:$LINENO: checking for resolver link (default)" >&5
-echo $ECHO_N "checking for resolver link (default)... $ECHO_C" >&6; }
-if test "${ol_cv_resolver_none+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
+done
+if test "${ac_cv_search_uuid_unparse_lower+set}" = set; then
+  :
 else
+  ac_cv_search_uuid_unparse_lower=no
+fi
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_search_uuid_unparse_lower" >&5
+echo "${ECHO_T}$ac_cv_search_uuid_unparse_lower" >&6; }
+ac_res=$ac_cv_search_uuid_unparse_lower
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+  :
+else
+  have_uuid=no
+fi
 
-       ol_RESOLVER_LIB=
-       ol_LIBS=$LIBS
-       LIBS="$ol_RESOLVER_LIB $LIBS"
+               LIBS="$save_LIBS"
+
+               if test $have_uuid = yes ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_UUID_GENERATE 1
+_ACEOF
+
+
+                       test "$ac_cv_search_uuid_generate" = "none required" || \
+                               SLAPD_LIBS="$SLAPD_LIBS $ac_cv_search_uuid_generate"
+               fi
+       fi
+fi
 
+if test $have_uuid = no ; then
+       { echo "$as_me:$LINENO: checking to see if -lrpcrt4 is needed for win32 UUID support" >&5
+echo $ECHO_N "checking to see if -lrpcrt4 is needed for win32 UUID support... $ECHO_C" >&6; }
+       save_LIBS="$LIBS"
+       LIBS="$LIBS -lrpcrt4"
        cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -18207,50 +18316,16 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-#ifdef HAVE_SYS_TYPES_H
-#      include <sys/types.h>
-#endif
-#include <netinet/in.h>
-#ifdef HAVE_ARPA_NAMESER_H
-#      include <arpa/nameser.h>
-#endif
-#ifdef HAVE_RESOLV_H
-#      include <resolv.h>
-#endif
+               int __stdcall UuidCreate(void *);
+               int __stdcall UuidToStringA(void *,void **);
 
 int
 main ()
 {
-{
-       int len, status;
-       char *request = NULL;
-       unsigned char reply[64*1024];
-       unsigned char host[64*1024];
-       unsigned char *p;
 
-#ifdef NS_HFIXEDSZ
-       /* Bind 8/9 interface */
-       len = res_query(request, ns_c_in, ns_t_srv, reply, sizeof(reply));
-#else
-       /* Bind 4 interface */
-# ifndef T_SRV
-#  define T_SRV 33
-# endif
-       len = res_query(request, C_IN, T_SRV, reply, sizeof(reply));
-#endif
-       p = reply;
-#ifdef NS_HFIXEDSZ
-       /* Bind 8/9 interface */
-       p += NS_HFIXEDSZ;
-#elif defined(HFIXEDSZ)
-       /* Bind 4 interface w/ HFIXEDSZ */
-       p += HFIXEDSZ;
-#else
-       /* Bind 4 interface w/o HFIXEDSZ */
-       p += sizeof(HEADER);
-#endif
-       status = dn_expand( reply, reply+len, p, host, sizeof(host));
-}
+               UuidCreate(0);
+               UuidToStringA(0,0);
+
   ;
   return 0;
 }
@@ -18273,36 +18348,139 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ol_cv_resolver_none=yes
+  need_rpcrt=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ol_cv_resolver_none=no
+       need_rpcrt=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
-
-       LIBS="$ol_LIBS"
-
-fi
-{ echo "$as_me:$LINENO: result: $ol_cv_resolver_none" >&5
-echo "${ECHO_T}$ol_cv_resolver_none" >&6; }
-
-       if test $ol_cv_resolver_none = yes ; then
-               ol_cv_lib_resolver=yes
+       if test $need_rpcrt = yes; then
+               SLAPD_LIBS="$SLAPD_LIBS -lrpcrt4"
        fi
+       LIBS="$save_LIBS"
+       { echo "$as_me:$LINENO: result: $need_rpcrt" >&5
+echo "${ECHO_T}$need_rpcrt" >&6; }
 fi
 
+ol_cv_lib_resolver=no
 if test $ol_cv_lib_resolver = no ; then
-       { echo "$as_me:$LINENO: checking for resolver link (-lresolv)" >&5
-echo $ECHO_N "checking for resolver link (-lresolv)... $ECHO_C" >&6; }
-if test "${ol_cv_resolver_resolv+set}" = set; then
+       { echo "$as_me:$LINENO: checking for resolver link (default)" >&5
+echo $ECHO_N "checking for resolver link (default)... $ECHO_C" >&6; }
+if test "${ol_cv_resolver_none+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-       ol_RESOLVER_LIB=-lresolv
+       ol_RESOLVER_LIB=
+       ol_LIBS=$LIBS
+       LIBS="$ol_RESOLVER_LIB $LIBS"
+
+       cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#ifdef HAVE_SYS_TYPES_H
+#      include <sys/types.h>
+#endif
+#include <netinet/in.h>
+#ifdef HAVE_ARPA_NAMESER_H
+#      include <arpa/nameser.h>
+#endif
+#ifdef HAVE_RESOLV_H
+#      include <resolv.h>
+#endif
+
+int
+main ()
+{
+{
+       int len, status;
+       char *request = NULL;
+       unsigned char reply[64*1024];
+       unsigned char host[64*1024];
+       unsigned char *p;
+
+#ifdef NS_HFIXEDSZ
+       /* Bind 8/9 interface */
+       len = res_query(request, ns_c_in, ns_t_srv, reply, sizeof(reply));
+#else
+       /* Bind 4 interface */
+# ifndef T_SRV
+#  define T_SRV 33
+# endif
+       len = res_query(request, C_IN, T_SRV, reply, sizeof(reply));
+#endif
+       p = reply;
+#ifdef NS_HFIXEDSZ
+       /* Bind 8/9 interface */
+       p += NS_HFIXEDSZ;
+#elif defined(HFIXEDSZ)
+       /* Bind 4 interface w/ HFIXEDSZ */
+       p += HFIXEDSZ;
+#else
+       /* Bind 4 interface w/o HFIXEDSZ */
+       p += sizeof(HEADER);
+#endif
+       status = dn_expand( reply, reply+len, p, host, sizeof(host));
+}
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ol_cv_resolver_none=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ol_cv_resolver_none=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+
+       LIBS="$ol_LIBS"
+
+fi
+{ echo "$as_me:$LINENO: result: $ol_cv_resolver_none" >&5
+echo "${ECHO_T}$ol_cv_resolver_none" >&6; }
+
+       if test $ol_cv_resolver_none = yes ; then
+               ol_cv_lib_resolver=yes
+       fi
+fi
+
+if test $ol_cv_lib_resolver = no ; then
+       { echo "$as_me:$LINENO: checking for resolver link (-lresolv)" >&5
+echo $ECHO_N "checking for resolver link (-lresolv)... $ECHO_C" >&6; }
+if test "${ol_cv_resolver_resolv+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+       ol_RESOLVER_LIB=-lresolv
        ol_LIBS=$LIBS
        LIBS="$ol_RESOLVER_LIB $LIBS"
 
@@ -18997,161 +19175,15 @@ echo "$as_me: error: AF_LOCAL domain support requires sys/un.h" >&2;}
        fi
 fi
 
-ol_link_gssapi=no
-
-case $ol_with_gssapi in yes | auto)
-
-       ol_header_gssapi=no
-
-for ac_header in gssapi/gssapi.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  { echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-else
-  # Is the header compilable?
-{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <$ac_header>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <$ac_header>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    ( cat <<\_ASBOX
-## --------------------------------------------- ##
-## Report this to <http://www.openldap.org/its/> ##
-## --------------------------------------------- ##
-_ASBOX
-     ) | sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-{ echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-
-fi
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
 
+if test $ol_with_tls = yes ; then
+       ol_with_tls=auto
 fi
 
-done
-
-       if test $ac_cv_header_gssapi_gssapi_h = yes ; then
-               ol_header_gssapi=yes
-       else
+ol_link_tls=no
+if test $ol_with_tls = openssl || test $ol_with_tls = auto ; then
 
-for ac_header in gssapi.h
+for ac_header in openssl/ssl.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
 
 done
 
-               if test $ac_cv_header_gssapi_h = yes ; then
-                       ol_header_gssapi=yes
-               fi
-
-                                                               saveLIBS="$LIBS"
-               LIBS="$LIBS $GSSAPI_LIBS"
 
-for ac_func in gss_oid_to_str
-do
-as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for $ac_func" >&5
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
-if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
-#define $ac_func innocuous_$ac_func
-
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char $ac_func (); below.
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-    <limits.h> exists even on freestanding compilers.  */
-
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
-
-#undef $ac_func
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char $ac_func ();
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined __stub_$ac_func || defined __stub___$ac_func
-choke me
-#endif
-
-int
-main ()
-{
-return $ac_func ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  eval "$as_ac_var=yes"
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       eval "$as_ac_var=no"
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-fi
-ac_res=`eval echo '${'$as_ac_var'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-if test `eval echo '${'$as_ac_var'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
-
-fi
-done
-
-               LIBS="$saveLIBS"
-       fi
-
-       if test $ol_header_gssapi = yes ; then
-                                               { echo "$as_me:$LINENO: checking for gss_wrap in -lgssapi" >&5
-echo $ECHO_N "checking for gss_wrap in -lgssapi... $ECHO_C" >&6; }
-if test "${ac_cv_lib_gssapi_gss_wrap+set}" = set; then
+       if test $ac_cv_header_openssl_ssl_h = yes ; then
+               { echo "$as_me:$LINENO: checking for SSL_library_init in -lssl" >&5
+echo $ECHO_N "checking for SSL_library_init in -lssl... $ECHO_C" >&6; }
+if test "${ac_cv_lib_ssl_SSL_library_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lgssapi  $LIBS"
+LIBS="-lssl -lcrypto $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -19419,11 +19349,11 @@ cat >>conftest.$ac_ext <<_ACEOF
 #ifdef __cplusplus
 extern "C"
 #endif
-char gss_wrap ();
+char SSL_library_init ();
 int
 main ()
 {
-return gss_wrap ();
+return SSL_library_init ();
   ;
   return 0;
 }
@@ -19446,34 +19376,36 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_gssapi_gss_wrap=yes
+  ac_cv_lib_ssl_SSL_library_init=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_gssapi_gss_wrap=no
+       ac_cv_lib_ssl_SSL_library_init=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_gssapi_gss_wrap" >&5
-echo "${ECHO_T}$ac_cv_lib_gssapi_gss_wrap" >&6; }
-if test $ac_cv_lib_gssapi_gss_wrap = yes; then
-  ol_link_gssapi=yes;GSSAPI_LIBS="-lgssapi"
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_SSL_library_init" >&5
+echo "${ECHO_T}$ac_cv_lib_ssl_SSL_library_init" >&6; }
+if test $ac_cv_lib_ssl_SSL_library_init = yes; then
+  have_openssl=yes
+                       need_rsaref=no
 else
-  ol_link_gssapi=no
+  have_openssl=no
 fi
 
-               if test $ol_link_gssapi != yes ; then
-                       { echo "$as_me:$LINENO: checking for gss_wrap in -lgssapi_krb5" >&5
-echo $ECHO_N "checking for gss_wrap in -lgssapi_krb5... $ECHO_C" >&6; }
-if test "${ac_cv_lib_gssapi_krb5_gss_wrap+set}" = set; then
+
+               if test $have_openssl = no ; then
+                       { echo "$as_me:$LINENO: checking for ssl3_accept in -lssl" >&5
+echo $ECHO_N "checking for ssl3_accept in -lssl... $ECHO_C" >&6; }
+if test "${ac_cv_lib_ssl_ssl3_accept+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lgssapi_krb5  $LIBS"
+LIBS="-lssl -lcrypto -lRSAglue -lrsaref $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -19487,11 +19419,11 @@ cat >>conftest.$ac_ext <<_ACEOF
 #ifdef __cplusplus
 extern "C"
 #endif
-char gss_wrap ();
+char ssl3_accept ();
 int
 main ()
 {
-return gss_wrap ();
+return ssl3_accept ();
   ;
   return 0;
 }
@@ -19514,60 +19446,101 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_gssapi_krb5_gss_wrap=yes
+  ac_cv_lib_ssl_ssl3_accept=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_gssapi_krb5_gss_wrap=no
+       ac_cv_lib_ssl_ssl3_accept=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_gssapi_krb5_gss_wrap" >&5
-echo "${ECHO_T}$ac_cv_lib_gssapi_krb5_gss_wrap" >&6; }
-if test $ac_cv_lib_gssapi_krb5_gss_wrap = yes; then
-  ol_link_gssapi=yes;GSSAPI_LIBS="-lgssapi_krb5"
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_ssl3_accept" >&5
+echo "${ECHO_T}$ac_cv_lib_ssl_ssl3_accept" >&6; }
+if test $ac_cv_lib_ssl_ssl3_accept = yes; then
+  have_openssl=yes
+                               need_rsaref=yes
 else
-  ol_link_gssapi=no
+  have_openssl=no
 fi
 
                fi
-       fi
 
-       ;;
-esac
+               if test $have_openssl = yes ; then
+                       ol_with_tls=openssl
+                       ol_link_tls=yes
 
-WITH_GSSAPI=no
-if test $ol_link_gssapi = yes; then
 
 cat >>confdefs.h <<\_ACEOF
-#define HAVE_GSSAPI 1
-_ACEOF
-
-       WITH_GSSAPI=yes
-elif test $ol_with_gssapi = auto ; then
-       { echo "$as_me:$LINENO: WARNING: Could not locate GSSAPI package" >&5
-echo "$as_me: WARNING: Could not locate GSSAPI package" >&2;}
-       { echo "$as_me:$LINENO: WARNING: GSSAPI authentication not supported!" >&5
-echo "$as_me: WARNING: GSSAPI authentication not supported!" >&2;}
-elif test $ol_with_gssapi = yes ; then
-       { { echo "$as_me:$LINENO: error: GSSAPI detection failed" >&5
-echo "$as_me: error: GSSAPI detection failed" >&2;}
-   { (exit 1); exit 1; }; }
+#define HAVE_OPENSSL 1
+_ACEOF
+
+
+                       if test $need_rsaref = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_RSAREF 1
+_ACEOF
+
+
+                               TLS_LIBS="-lssl -lcrypto -lRSAglue -lrsaref"
+                       else
+                               TLS_LIBS="-lssl -lcrypto"
+                       fi
+
+                       { echo "$as_me:$LINENO: checking OpenSSL library version (CRL checking capability)" >&5
+echo $ECHO_N "checking OpenSSL library version (CRL checking capability)... $ECHO_C" >&6; }
+if test "${ol_cv_ssl_crl_compat+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+               cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#ifdef HAVE_OPENSSL_SSL_H
+#include <openssl/ssl.h>
+#endif
+
+/* Require 0.9.7d+ */
+#if OPENSSL_VERSION_NUMBER >= 0x0090704fL
+       char *__ssl_compat = "0.9.7d";
+#endif
+
+_ACEOF
+if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+  $EGREP "__ssl_compat" >/dev/null 2>&1; then
+  ol_cv_ssl_crl_compat=yes
+else
+  ol_cv_ssl_crl_compat=no
 fi
+rm -f conftest*
+
+fi
+{ echo "$as_me:$LINENO: result: $ol_cv_ssl_crl_compat" >&5
+echo "${ECHO_T}$ol_cv_ssl_crl_compat" >&6; }
 
+                       if test $ol_cv_ssl_crl_compat = yes ; then
 
-if test $ol_with_tls = yes ; then
-       ol_with_tls=auto
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_OPENSSL_CRL 1
+_ACEOF
+
+                       fi
+               fi
+       fi
 fi
 
-ol_link_tls=no
-if test $ol_with_tls = openssl || test $ol_with_tls = auto ; then
+if test $ol_link_tls = no ; then
+       if test $ol_with_tls = gnutls || test $ol_with_tls = auto ; then
 
-for ac_header in openssl/ssl.h
+for ac_header in gnutls/gnutls.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
 done
 
 
-       if test $ac_cv_header_openssl_ssl_h = yes ; then
-               { echo "$as_me:$LINENO: checking for SSL_library_init in -lssl" >&5
-echo $ECHO_N "checking for SSL_library_init in -lssl... $ECHO_C" >&6; }
-if test "${ac_cv_lib_ssl_SSL_library_init+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lssl -lcrypto $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char SSL_library_init ();
-int
-main ()
-{
-return SSL_library_init ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_ssl_SSL_library_init=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_cv_lib_ssl_SSL_library_init=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_SSL_library_init" >&5
-echo "${ECHO_T}$ac_cv_lib_ssl_SSL_library_init" >&6; }
-if test $ac_cv_lib_ssl_SSL_library_init = yes; then
-  have_openssl=yes
-                       need_rsaref=no
-else
-  have_openssl=no
-fi
-
-
-               if test $have_openssl = no ; then
-                       { echo "$as_me:$LINENO: checking for ssl3_accept in -lssl" >&5
-echo $ECHO_N "checking for ssl3_accept in -lssl... $ECHO_C" >&6; }
-if test "${ac_cv_lib_ssl_ssl3_accept+set}" = set; then
+               if test $ac_cv_header_gnutls_gnutls_h = yes ; then
+                       { echo "$as_me:$LINENO: checking for gnutls_init in -lgnutls" >&5
+echo $ECHO_N "checking for gnutls_init in -lgnutls... $ECHO_C" >&6; }
+if test "${ac_cv_lib_gnutls_gnutls_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lssl -lcrypto -lRSAglue -lrsaref $LIBS"
+LIBS="-lgnutls  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -19803,11 +19706,11 @@ cat >>conftest.$ac_ext <<_ACEOF
 #ifdef __cplusplus
 extern "C"
 #endif
-char ssl3_accept ();
+char gnutls_init ();
 int
 main ()
 {
-return ssl3_accept ();
+return gnutls_init ();
   ;
   return 0;
 }
@@ -19830,90 +19733,36 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_ssl_ssl3_accept=yes
+  ac_cv_lib_gnutls_gnutls_init=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_ssl_ssl3_accept=no
+       ac_cv_lib_gnutls_gnutls_init=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_ssl3_accept" >&5
-echo "${ECHO_T}$ac_cv_lib_ssl_ssl3_accept" >&6; }
-if test $ac_cv_lib_ssl_ssl3_accept = yes; then
-  have_openssl=yes
-                               need_rsaref=yes
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_gnutls_gnutls_init" >&5
+echo "${ECHO_T}$ac_cv_lib_gnutls_gnutls_init" >&6; }
+if test $ac_cv_lib_gnutls_gnutls_init = yes; then
+  have_gnutls=yes
 else
-  have_openssl=no
+  have_gnutls=no
 fi
 
-               fi
-
-               if test $have_openssl = yes ; then
-                       ol_with_tls=openssl
-                       ol_link_tls=yes
-
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_OPENSSL 1
-_ACEOF
-
-
-                       if test $need_rsaref = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_RSAREF 1
-_ACEOF
-
-
-                               TLS_LIBS="-lssl -lcrypto -lRSAglue -lrsaref"
-                       else
-                               TLS_LIBS="-lssl -lcrypto"
-                       fi
-
-                       { echo "$as_me:$LINENO: checking OpenSSL library version (CRL checking capability)" >&5
-echo $ECHO_N "checking OpenSSL library version (CRL checking capability)... $ECHO_C" >&6; }
-if test "${ol_cv_ssl_crl_compat+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-               cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#ifdef HAVE_OPENSSL_SSL_H
-#include <openssl/ssl.h>
-#endif
-
-/* Require 0.9.7d+ */
-#if OPENSSL_VERSION_NUMBER >= 0x0090704fL
-       char *__ssl_compat = "0.9.7d";
-#endif
 
-_ACEOF
-if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "__ssl_compat" >/dev/null 2>&1; then
-  ol_cv_ssl_crl_compat=yes
-else
-  ol_cv_ssl_crl_compat=no
-fi
-rm -f conftest*
+                       if test $have_gnutls = yes ; then
+                               ol_with_tls=gnutls
+                               ol_link_tls=yes
 
-fi
-{ echo "$as_me:$LINENO: result: $ol_cv_ssl_crl_compat" >&5
-echo "${ECHO_T}$ol_cv_ssl_crl_compat" >&6; }
+                               TLS_LIBS="-lgnutls"
 
-                       if test $ol_cv_ssl_crl_compat = yes ; then
 
 cat >>confdefs.h <<\_ACEOF
-#define HAVE_OPENSSL_CRL 1
+#define HAVE_GNUTLS 1
 _ACEOF
 
                        fi
@@ -19922,9 +19771,10 @@ _ACEOF
 fi
 
 if test $ol_link_tls = no ; then
-       if test $ol_with_tls = gnutls || test $ol_with_tls = auto ; then
+       if test $ol_with_tls = moznss || test $ol_with_tls = auto ; then
+               have_moznss=no
 
-for ac_header in gnutls/gnutls.h
+for ac_header in nssutil.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
 
 done
 
-
-               if test $ac_cv_header_gnutls_gnutls_h = yes ; then
-                       { echo "$as_me:$LINENO: checking for gnutls_init in -lgnutls" >&5
-echo $ECHO_N "checking for gnutls_init in -lgnutls... $ECHO_C" >&6; }
-if test "${ac_cv_lib_gnutls_gnutls_init+set}" = set; then
+               if test "$ac_cv_header_nssutil_h" = yes ; then
+                       { echo "$as_me:$LINENO: checking for NSS_Initialize in -lnss3" >&5
+echo $ECHO_N "checking for NSS_Initialize in -lnss3... $ECHO_C" >&6; }
+if test "${ac_cv_lib_nss3_NSS_Initialize+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lgnutls  $LIBS"
+LIBS="-lnss3  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -20090,11 +19939,11 @@ cat >>conftest.$ac_ext <<_ACEOF
 #ifdef __cplusplus
 extern "C"
 #endif
-char gnutls_init ();
+char NSS_Initialize ();
 int
 main ()
 {
-return gnutls_init ();
+return NSS_Initialize ();
   ;
   return 0;
 }
@@ -20117,39 +19966,41 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_gnutls_gnutls_init=yes
+  ac_cv_lib_nss3_NSS_Initialize=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_gnutls_gnutls_init=no
+       ac_cv_lib_nss3_NSS_Initialize=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_gnutls_gnutls_init" >&5
-echo "${ECHO_T}$ac_cv_lib_gnutls_gnutls_init" >&6; }
-if test $ac_cv_lib_gnutls_gnutls_init = yes; then
-  have_gnutls=yes
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_nss3_NSS_Initialize" >&5
+echo "${ECHO_T}$ac_cv_lib_nss3_NSS_Initialize" >&6; }
+if test $ac_cv_lib_nss3_NSS_Initialize = yes; then
+   have_moznss=yes
 else
-  have_gnutls=no
+   have_moznss=no
 fi
 
+               fi
 
-                       if test $have_gnutls = yes ; then
-                               ol_with_tls=gnutls
-                               ol_link_tls=yes
-
-                               TLS_LIBS="-lgnutls"
-
+               if test "$have_moznss" = yes ; then
+                       ol_with_tls=moznss
+                       ol_link_tls=yes
 
 cat >>confdefs.h <<\_ACEOF
-#define HAVE_GNUTLS 1
+#define HAVE_MOZNSS 1
 _ACEOF
 
-                       fi
+                       TLS_LIBS="-lssl3 -lsmime3 -lnss3 -lnssutil3 -lplds4 -lplc4 -lnspr4"
+               else
+                       { { echo "$as_me:$LINENO: error: MozNSS not found - please specify the location to the NSPR and NSS header files in CPPFLAGS and the location to the NSPR and NSS libraries in LDFLAGS (if not in the system location)" >&5
+echo "$as_me: error: MozNSS not found - please specify the location to the NSPR and NSS header files in CPPFLAGS and the location to the NSPR and NSS libraries in LDFLAGS (if not in the system location)" >&2;}
+   { (exit 1); exit 1; }; }
                fi
        fi
 fi
 
 
 
+
+
 for ac_func in \
        ctime_r                 \
+       gmtime_r localtime_r \
        gethostbyname_r gethostbyaddr_r \
 
 do
@@ -37180,7 +37034,6 @@ fi
 
 
 
-
 
 
 for ac_func in \
@@ -37196,7 +37049,6 @@ for ac_func in \
        geteuid                 \
        getgrgid                \
        gethostname             \
-       getpass                 \
        getpassphrase           \
        getpwuid                \
        getpwnam                \
@@ -38716,7 +38568,7 @@ _ACEOF
 fi
 
 if test "$ol_enable_deref" != no ; then
-       BUILD_DDS=$ol_enable_deref
+       BUILD_DEREF=$ol_enable_deref
        if test "$ol_enable_deref" = mod ; then
                MFLAG=SLAPD_MOD_DYNAMIC
                SLAPD_DYNAMIC_OVERLAYS="$SLAPD_DYNAMIC_OVERLAYS deref.la"
@@ -38876,6 +38728,22 @@ _ACEOF
 
 fi
 
+if test "$ol_enable_sssvlv" != no ; then
+       BUILD_SSSVLV=$ol_enable_sssvlv
+       if test "$ol_enable_sssvlv" = mod ; then
+               MFLAG=SLAPD_MOD_DYNAMIC
+               SLAPD_DYNAMIC_OVERLAYS="$SLAPD_DYNAMIC_OVERLAYS sssvlv.la"
+       else
+               MFLAG=SLAPD_MOD_STATIC
+               SLAPD_STATIC_OVERLAYS="$SLAPD_STATIC_OVERLAYS sssvlv.o"
+       fi
+
+cat >>confdefs.h <<_ACEOF
+#define SLAPD_OVER_SSSVLV $MFLAG
+_ACEOF
+
+fi
+
 if test "$ol_enable_syncprov" != no ; then
        BUILD_SYNCPROV=$ol_enable_syncprov
        if test "$ol_enable_syncprov" = mod ; then
@@ -39055,6 +38923,7 @@ fi
 
 
 
+
 
 
 # Check whether --with-xxinstall was given.
@@ -39871,6 +39740,7 @@ BUILD_COLLECT!$BUILD_COLLECT$ac_delim
 BUILD_CONSTRAINT!$BUILD_CONSTRAINT$ac_delim
 BUILD_DDS!$BUILD_DDS$ac_delim
 BUILD_DENYOP!$BUILD_DENYOP$ac_delim
+BUILD_DEREF!$BUILD_DEREF$ac_delim
 BUILD_DYNGROUP!$BUILD_DYNGROUP$ac_delim
 BUILD_DYNLIST!$BUILD_DYNLIST$ac_delim
 BUILD_LASTMOD!$BUILD_LASTMOD$ac_delim
@@ -39881,6 +39751,7 @@ BUILD_REFINT!$BUILD_REFINT$ac_delim
 BUILD_RETCODE!$BUILD_RETCODE$ac_delim
 BUILD_RWM!$BUILD_RWM$ac_delim
 BUILD_SEQMOD!$BUILD_SEQMOD$ac_delim
+BUILD_SSSVLV!$BUILD_SSSVLV$ac_delim
 BUILD_SYNCPROV!$BUILD_SYNCPROV$ac_delim
 BUILD_TRANSLUCENT!$BUILD_TRANSLUCENT$ac_delim
 BUILD_UNIQUE!$BUILD_UNIQUE$ac_delim
@@ -39906,7 +39777,6 @@ MOD_PERL_LDFLAGS!$MOD_PERL_LDFLAGS$ac_delim
 KRB4_LIBS!$KRB4_LIBS$ac_delim
 KRB5_LIBS!$KRB5_LIBS$ac_delim
 SASL_LIBS!$SASL_LIBS$ac_delim
-GSSAPI_LIBS!$GSSAPI_LIBS$ac_delim
 TLS_LIBS!$TLS_LIBS$ac_delim
 MODULES_LIBS!$MODULES_LIBS$ac_delim
 SLAPI_LIBS!$SLAPI_LIBS$ac_delim
@@ -39922,7 +39792,7 @@ SLAPD_SQL_INCLUDES!$SLAPD_SQL_INCLUDES$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 91; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 92; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5